strip(1)

NAME
strip—Discard symbols from object files.

SYNOPSIS

strip
    [-s|+strip-all] [-g|-S|+strip-debug ] [-x|+discard-all] [-X|+discard-locals] [-T bfdname ] objfiles ...

DESCRIPTION
GNU strip will discard all symbols from object files objfiles , if no options are specified; or only certain symbols, depending on its command-line options. strip will not execute unless at least one object file is listed. WARNING: strip modifies the files named in its argument, rather than writing modified copies under different names.

OPTIONS
The long and short forms of options, shown here as alternatives, are equivalent.

-s

+strip-all
    This is the default case: strip all symbol entries from objfiles .

-g

-S

+strip-debug
    Discard only debugging symbol information from objfiles .

-x

+discard-all
    Discard all symbols local to each file in objfiles . WARNING: Note that +discard-all discards only local symbols, in spite of its name.

-X

+discard-locals
    Discard local symbols starting with `L ' from each file in objfiles . (Some compilers produce internally-used symbols that begin with `L '.)

-T bfdname
    You can specify a particular object-code format bfdname for objfiles . This may not be necessary; strip can automatically recognize many formats. for information on listing available formats.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (October 1991).

COPYING
Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.